%define module_version 1.06
%define module_name POE-Component-Server-NNTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Component/Client/NNTP.pm) perl(POE/Component/Pluggable.pm) perl(POE/Filter/Line.pm) perl(POE/Wheel/ReadWrite.pm) perl(POE/Wheel/SocketFactory.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt1
Summary: A POE component that provides NNTP server functionality.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-server-nntp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
POE::Component::Server::NNTP is a the POE manpage component that implements an RFC 977.http://www.faqs.org/rfcs/rfc977.html NNTP server. It is the companion component to
the POE::Component::Client::NNTP manpage which implements NNTP client functionality.

You spawn an NNTP server component, create your POE sessions then register your
session to receive events. Whenever clients connect, disconnect or send valid
NNTP protocol commands you will receive an event and an unique client ID. You then
parse and process the commands given and send back applicable NNTP responses.

This component doesn't implement the news database and as such is not by itself a
complete NNTP daemon implementation.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes Changes.old examples
%perl_vendor_privlib/P*

%changelog
* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- initial import by package builder

